#include "Addon.h"
#include <Alert.h>
void Msg(const char *str)
{
  BAlert *myalert = new BAlert(str,str,"OK");
  myalert->Go();
}
printer_utility_return_t snoozecheck(PrinterInfo *printer_info)
{
  Msg("snoozecheck");
  return PRINTER_OK;
}
printer_utility_return_t snoozeclean(PrinterInfo *printer_info)
{
  Msg("snoozeclean");
  return PRINTER_OK;
}
printer_utility_return_t ejectink(PrinterInfo *printer_info)
{
  Msg("ejectink");
  return PRINTER_OK;
}
bool inkinfo(PrinterInfo *printer_info,InkLevelGroup *inklevel)
{
  rgb_color color;
  color.red = color.green = color.blue = 0;
  color.red = 255;
  // set the ink color for item 0 to red 
  inklevel->ItemColor(0,color);
  
  color.red = color.green = color.blue = 0;
  color.green = color.red = 255;
  // set the ink color for item 1 to yellow 
  inklevel->ItemColor(1,color);

  color.red = color.green = color.blue = 0;
  color.blue = 255;
  // set the ink color for item 2 to blue
  inklevel->ItemColor(2,color);

  color.red = color.green = color.blue = 0;
  // set the ink color for item 3 to black
  inklevel->ItemColor(3,color);
  return true;
}
printer_utility_return_t inklevel(PrinterInfo *printer_info,InkLevelGroup *inklevel)
{
  for (int i = 0;i < inklevel->CountInks();i++)
  // filling inklevel of each ink item .. value 0.0 .. 1.0
  inklevel->ItemLevel(i,1.0f);
  return PRINTER_OK;
}
printer_utility_return_t printdoc(PrinterInfo *printer_info,SpoolFile *spool_file)
{
  Msg("Printing document");
  // for raster printer addon 
  // create a RasterSpool from spool_file
  // else
  // you can retrieve the BPicture by calling spool_file->GetPicture(pagenumber);
  // note page number is 1 ... total_page 
  return PRINTER_OK;
}
